function I = nacti(vstpar)
    

    load matlab; 
    I=imread(uigetfile({'*.bmp;*.jpg;*.tif;*.gif',...
            'Obrazov soubory (*.bmp,*.jpg,*.tif,*.png,*.gif,*png)';,...
            '*.bmp','Bitmap (*.bmp)';'*.jpg','File Interchange Format (*.jpg)';'*.tif',...
            'Tagged Image File(*.tif)';'*.gif','CompuServe GIF(*.gif)';,...
            '*.*','All Files(*.*)'},'Naten obrazovch dat'));

    
    x=isrgb(I);
    if x==1
        I=rgb2gray(I);
        axes(a1); imagesc(I); colormap(gray);
        save matlab I -append;
    else
        y=isind(I);
        if y==1
            I=ind2gray(I);
            axes (a1); imagesc(I); colormap(gray);
            save matlab I -append;
        else
            axes(a1); imagesc(I); colormap(gray);
            save matlab I -append;
        end
    end     