function Program3(vstpar)

    if nargin==0
     
        clear all; close all; clc;
        
        % -----Vytvoen dialogovho okna--------------------------------------
        Monitor=get(0,'ScreenSize');
        f1=figure('Units','Pixels','Name','Rekonstrukce obraz z projekc',...
                 'Position',[100 0.1*Monitor(4) 0.7*Monitor(3) 0.6*Monitor(3)],...
                 'Tag','Figure','Color',[0.8 0.8 0.8],...
                 'NumberTitle','off','Resize','on','Menubar','none');
             f2=uimenu('Label','Menu');
                uimenu(f2,'Label','Frekvenn charakteristiky','Callback','Program3 vse','Accelerator','A');
                uimenu(f2,'Label','Impulzn charakteristiky','Callback','Program3 odezvy','Accelerator','R');
                                
                uimenu(f2,'Label','Clear all','Callback','Program3','Separator','on','Accelerator','C');
                uimenu(f2,'Label','Close window','Callback','close','Separator','off','Accelerator','W');
                uimenu(f2,'Label','Exit MATLAB','Callback','exit','Accelerator','Q');
            

        
        %-----Grafick objekty uicontrol--------------------------------------
        %ohraniujc rmec
        h0=uicontrol(f1,'Units','Normalized','Style','Frame',...
                     'Position',[0.005 0.007 0.15 0.979],'Tag','Frame1',...
                     'BackgroundColor',get(gcf,'Color'),'SelectionHighlight','off');
        
        %tlaitko "Nati obraz a generuj projekce"
        h1=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.93 0.14 0.04],'Tag','akvizice',...
                     'String','Nati obr. a gen. proj.','CallBack','Program3 nacti','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
                 
        %tlatko "Rekonstrukce obrazu z projekc"
        h2=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.88 0.14 0.04],'Tag','rekonstrukce',...
                     'String','Rekonstr. obr. z proj.','CallBack','Program3 filtrace','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
                 
        %tlaitko "Vpoet kvadratick odchylky"
        h3=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.83 0.14 0.04],'Tag','akvizice',...
                     'String','Vpoet kv. odchylky','CallBack','Program3 odchylka','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
                 
        %tlatko "Penosov charakteritiky filtr"
        h7=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.78 0.14 0.04],'Tag','filtr',...
                     'String','Penosov char. filtr','CallBack','Program3 vse','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');       
        %-----------------------------------------------------
                
        %edit "Krok projekc"         
        h5=uicontrol(f1,'Units','Normalized','Style','Edit',...
                    'Position',[0.82 0.93 0.05 0.03],'Tag','edit',...
                    'ForegroundColor','black','BackgroundColor','white',...
                    'FontWeight','normal','FontSize',10,'String','1','Visible','on');
        
        %text "krok projekc"
        h6=uicontrol(f1,'Units','Normalized','Style','Text',...
                     'Position',[0.80 0.96 0.1 0.02],'String','krok projekc','Tag','text6',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',8,'Visible','on');

        %text "Frekv. char. nejastjch filtr"
        h9=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.27 0.41 0.2 0.03],'String','Frekv. char. nejastjch filtr ','Tag','Info1',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
                 
        %text "Pvodn obraz"
        h99=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.27 0.85 0.2 0.03],'String','Pvodn obraz','Tag','Info1',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        
        %rolovac menu pro vber filtr"
        h8=uicontrol(f1,'Units','Normalized','Style','Popup',...
                     'Position',[0.30 0.915 0.14 0.046],'Tag','filtry',...
                     'String','nefiltrovana pr.|Ram-Lak|Sheep-Logan|Hamming|Hann|Cosine',...
                     'ForegroundColor','white','HorizontalAlignment','center',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',10,'Visible','on');
        %-----------------------------------------------------
        
        %text "Rekonstruovan obraz"
        h11=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.85 0.2 0.03],'String','Rekonstruovan obraz','Tag','Info3',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        %text "kvadratick odchylka filtru"
        h12=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.41 0.2 0.03],'String','Kvadratick odchylka filtru','Tag','Info4',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);           
        %text "Popis osy x projekc"
        h13=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.810 0.445 0.13 0.03],'String','theta[deg]>',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',10);
        
        %text "Popis osy y projekc"
        h14=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.58 0.82 0.01 0.03],'String','t',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',10);
        
        %edit "Kvadratick odchylka"         
        h15=uicontrol(f1,'Units','Normalized','Style','Edit',...
                    'Position',[0.70 0.33 0.14 0.05],'Tag','edit2',...
                    'ForegroundColor','black','BackgroundColor','white',...
                    'FontWeight','normal','FontSize',12,'String','1','Visible','off');          
        % -----Grafick objekty axes--------------------------------------              
        
        %zobrazen snmanho obrazu_lev horn
        a1=axes; 
        set(a1,'Visible','off','Units','normalized','Position',[0.22 0.5 0.3 0.35],'Tag','axes1');
        
        %zobrazen rekonstruovanho obrazu
        a2=axes; 
        set(a2,'Visible','off','Units','normalized','Position',[0.62 0.5 0.3 0.35],'Tag','axes2');
        
        %zobrazen penosovch charakteritik filtr
        a3=axes; 
        set(a3,'Visible','off','Units','normalized','Position',[0.22 0.105 0.3 0.3],'Tag','axes3');
        
        %prostor pro vpoet kv. odchylky
        a4=axes; 
        set(a4,'Visible','off','Units','normalized','Position',[0.62 0.105 0.3 0.3],'Tag','axes4');
        %-----------------------------------------------------         
                 
        save  matlab;
        
    else
        load matlab;
        switch(vstpar)
            case('nacti')
                nactii(vstpar);
                set(h99,'Visible','on');
                generujj(vstpar);                
            case('filtrace')
                vstpar = get(h8,'Value');
                filtrovana(vstpar);
                set(h11,'Visible','on');
            case('odchylka')
                load matlab;
                I = double(I);
                D = I-I_rekk;
                KV = sum(sum(D.^2));              
                set(findobj('Tag','edit2'),'String',KV, 'Visible','on' );
                set(h12,'Visible','on');
            case ('vse')
                set(h9,'Visible','on');
                axes(a3);
                grafy(vstpar);                
        end
    end