function [H,hh] = filtry(vstpar)
    

    if nargin==0

    else
        switch(vstpar)
            case(1)
                hh = 0;
                H = 0;
            case(2)
                RAMLAKE_F(vstpar);
                H = RAMLAKE_F(vstpar);
                hh = ramlake_h(vstpar);
            case(3)
                SHEPPLOGAN_F(vstpar);
                H = SHEPPLOGAN_F(vstpar);
                hh = shepplogan_h(vstpar);
            case(4)
                HAMMING_F(vstpar);
                H = HAMMING_F(vstpar);
                hh = hamming_h(vstpar);
            case(5)
                HANN_F(vstpar);
                H = HANN_F(vstpar);
                hh = hann_h(vstpar);
            case(6)
                COSINE_F(vstpar);
                H = COSINE_F(vstpar);
                hh = cosine_h(vstpar);
         end
    end