function Program1(vstpar)

    if nargin==0
     
        clear all; close all; clc;
        
        
        % -----Vytvoen dialogovho okna--------------------------------------
        Monitor=get(0,'ScreenSize');
        f1=figure('Units','Pixels','Name','Rekonstrukce obraz z projekc',...
                 'Position',[100 0.1*Monitor(4) 0.7*Monitor(3) 0.6*Monitor(3)],...
                 'Tag','Figure','Color',[0.8 0.8 0.8],...
                 'NumberTitle','off','Resize','on','Menubar','none');
             f2=uimenu('Label','Menu');
                uimenu(f2,'Label','Nati obraz','Callback','Program1 nacti','Accelerator','A');
                uimenu(f2,'Label','Generuj projekce','Callback','Program1 generuj','Accelerator','R');
                                
                uimenu(f2,'Label','Clear all','Callback','Program1','Separator','on','Accelerator','C');
                uimenu(f2,'Label','Close window','Callback','close','Separator','off','Accelerator','W');
                uimenu(f2,'Label','Exit MATLAB','Callback','exit','Accelerator','Q');
        
                
        %-----Grafick objekty uicontrol--------------------------------------
        %ohraniujc rmec
        h0=uicontrol(f1,'Units','Normalized','Style','Frame',...
                     'Position',[0.005 0.007 0.15 0.979],'Tag','Frame1',...
                     'BackgroundColor',get(gcf,'Color'),'SelectionHighlight','off');
        %tlatko "Nati obraz"
        h1=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.93 0.14 0.04],'Tag','akvizice',...
                     'String','Nati obraz','CallBack','Program1 nacti','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        %tlatko "Generuj projekce"
        h2=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.88 0.14 0.04],'Tag','rekonstrukce',...
                     'String','Generuj projekce','CallBack','Program1 generuj','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
       
        %-----------------------------------------------------
        %tlaitko "Nati obraz"
        h4=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.22 0.93 0.14 0.04],'Tag','nacti',...
                     'String','Nati obraz','CallBack','Program1 nacti','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        %edit "Krok projekc"         
        h5=uicontrol(f1,'Units','Normalized','Style','Edit',...
                    'Position',[0.391 0.93 0.05 0.03],'Tag','edit',...
                    'ForegroundColor','black','BackgroundColor','white',...
                    'FontWeight','normal','FontSize',10,'String','1','Visible','on');
        %text "krok projekc"
        h6=uicontrol(f1,'Units','Normalized','Style','Text',...
                     'Position',[0.37 0.96 0.1 0.02],'String','krok projekc','Tag','text6',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',8,'Visible','on');
        %tlatko "Generuj projekce"
        h7=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.62 0.93 0.14 0.04],'Tag','generuj',...
                     'String','Generuj projekce','CallBack','Program1 generuj','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        %RadioButton          
        h8=uicontrol(f1,'Units','Normalized','Style','Radio','Position',[0.77 0.935 0.2 0.03],...
                     'Tag','radio','String','animovat','Value',0,'ForegroundColor','black',...
                     'BackgroundColor',get(gcf,'Color'),'FontWeight','bold','FontSize',10,'Visible','on');
        %-----------------------------------------------------
        %text "Pvodn obraz"
        h9=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.27 0.85 0.2 0.03],'String','Pvodn obraz','Tag','Info1',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        %text "Soubor projekc"
        h10=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.85 0.2 0.03],'String','Soubor projekc','Tag','Info2',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        %text "Pracuji..."
        h100=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.85 0.2 0.03],'String','Pracuji...','Tag','Info200',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);   
  
        %text "Rotace obrazu"
        h11=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.27 0.41 0.2 0.03],'String','Rotace obrazu','Tag','Info3',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        %text "Projekce zskan pod hlem"
        h12=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.41 0.2 0.03],'String','Projekce zskan pod hlem','Tag','Info4',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);           
                 
        %text "Popis osy x projekc"
        h13=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.810 0.445 0.13 0.03],'String','theta[deg]>',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',10);
                 
        %text "Popis osy y projekc"
        h14=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.58 0.82 0.01 0.03],'String','t',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',10);                

                 
        % -----Grafick objekty axes--------------------------------------                 
        %zobrazen snmanho obrazu_lev horn
        a1=axes; 
        set(a1,'Visible','off','Units','normalized','Position',[0.22 0.5 0.3 0.35],'Tag','axes1');
        
        %zobrazen (animace) soubrou projekc_prav horn
        a2=axes; 
        set(a2,'Visible','off','Units','normalized','Position',[0.62 0.5 0.3 0.35],'Tag','axes2');
        
        %zobrazen animace polohy obrazu pi akvizici_lev spodn
        a3=axes; 
        set(a3,'Visible','off','Units','normalized','Position',[0.22 0.105 0.3 0.3],'Tag','axes3');

        %prostor pro animaci jednotlivch projekc- prav doln
        a4=axes; 
        set(a4,'Visible','off','Units','normalized','Position',[0.62 0.105 0.3 0.3],'Tag','axes4');
            
        %-----------------------------------------------------         
        save  matlab;
        
    else
        load matlab;
        switch(vstpar) 
            case('nacti')
                set(h9,'Visible','on');
                nacti(vstpar);
            case('generuj')
                x = get(h8,'Value');
                if x==0
                    generuj(x);
                    set(h10,'Visible','on');
                    set(h13,'Visible','on');
                    set(h14,'Visible','on');
                else
                    set(h11,'Visible','on');
                    set(h12,'Visible','on');
                    generuj_anim(vstpar);
                end;
        end
    end

