function H = HAMMING_F(vstpar)


    [N,xmin,xmax,B] = osa(vstpar);
    
    A = [];
    for i = xmin:xmax
        w = abs(2*pi*i);
        A = [A, (0.54 + 0.46 * cos(w/N) )];
    end

    H = RAMLAKE_F(vstpar).*A;
    HAMMING = H;
    
    save matlab H HAMMING -append;