function Program2(vstpar)

    if nargin==0
     
        clear all; close all; clc;
        
        % -----Vytvoen dialogovho okna--------------------------------------
        Monitor=get(0,'ScreenSize');
        f1=figure('Units','Pixels','Name','Filtrovan rekonstrukce obraz z projekc',...
                 'Position',[100 0.1*Monitor(4) 0.7*Monitor(3) 0.6*Monitor(3)],...
                 'Tag','Figure','Color',[0.8 0.8 0.8],...
                 'NumberTitle','off','Resize','on','Menubar','none');
            f2=uimenu('Label','Menu');
                uimenu(f2,'Label','Nati obraz','Callback','Program2 nacti','Accelerator','A');
                uimenu(f2,'Label','Generuj projekce','Callback','Program2 generuj','Accelerator','R');
                uimenu(f2,'Label','Rekonstrukce obrazu z projekc','Callback','Program2 filtrace','Accelerator','R');
                                
                uimenu(f2,'Label','Clear all','Callback','Program2','Separator','on','Accelerator','C');
                uimenu(f2,'Label','Close window','Callback','close','Separator','off','Accelerator','W');
                uimenu(f2,'Label','Exit MATLAB','Callback','exit','Accelerator','Q');
            

        
        %-----Grafick objekty uicontrol--------------------------------------
        %ohraniujc rmec
        h0=uicontrol(f1,'Units','Normalized','Style','Frame',...
                     'Position',[0.005 0.007 0.15 0.979],'Tag','Frame1',...
                     'BackgroundColor',get(gcf,'Color'),'SelectionHighlight','off');
        %tlaitko "Nati obraz"
        h1=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.93 0.14 0.04],'Tag','akvizice',...
                     'String','Nati obraz','CallBack','Program2 nacti','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        %tlatko "Generuj projekce"
        h2=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.88 0.14 0.04],'Tag','rekonstrukce',...
                     'String','Generuj projekce','CallBack','Program2 generuj','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        
        %tlatko "Rekonstrukce obrazu z projekc"
        h3=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.01 0.83 0.14 0.04],'Tag','rekonstrukce',...
                     'String','Rekonstr. obr. z proj.','CallBack','Program2 filtrace','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        %tlatko "Impulzn charakteritika"
        h32=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.78 0.93 0.14 0.04],'Tag','rekonstrukce',...
                     'String','Impulzn char.','CallBack','Program2 filtry2','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
                 
        %tlatko "Frekvenn charakteristika"
        h42=uicontrol(f1,'Units','Normalized','Style','Push',...
                     'Position',[0.62 0.93 0.14 0.04],'Tag','rekonstrukce',...
                     'String','Frekvenn char.','CallBack','Program2 filtry','ForegroundColor','white',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',8,'Visible','on');
        %-----------------------------------------------------

        %edit "Krok projekc"         
        h5=uicontrol(f1,'Units','Normalized','Style','Edit',...
                    'Position',[0.24 0.93 0.05 0.03],'Tag','edit',...
                    'ForegroundColor','black','BackgroundColor','white',...
                    'FontWeight','normal','FontSize',10,'String','1','Visible','on');
        %text "krok projekc"
        h6=uicontrol(f1,'Units','Normalized','Style','Text',...
                     'Position',[0.22 0.96 0.1 0.02],'String','krok projekc','Tag','text6',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',8,'Visible','on');
        %-----------------------------------------------------

        %text "Pvodn obraz"
        h9=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.27 0.85 0.2 0.03],'String','Pvodn obraz','Tag','Info1',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        %text "Soubor projekc"
        h10=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.85 0.2 0.03],'String','Soubor projekc','Tag','Info2',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);                 
  
        %text "Frekvenn charakteristika vybranho filtru"
        h11=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.22 0.41 0.3 0.03],'String','Frekvenn charakteristika vybranho filtru','Tag','Info3',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
        %text "Impulzn charakteritika vybranho filtru"
        h12=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.62 0.41 0.3 0.03],'String','Impulzn charakteristika vybranho filtru','Tag','Info4',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);           
                 
        %text "Popis osy x projekc"
        h13=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.810 0.445 0.13 0.03],'String','theta[deg]>',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',10);
                 
        %text "Popis osy y projekc"
        h14=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.58 0.82 0.01 0.03],'String','t',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','bold','FontSize',10);                
        %text "Rekonstruovan obraz"
        h16=uicontrol(f1,'Units','Normalized','Style','text','Visible','off',...
                     'Position',[0.67 0.85 0.2 0.03],'String','Rekonstruovan obraz','Tag','Info3',...
                     'ForegroundColor','black','BackgroundColor',get(gcf,'Color'),...
                     'FontWeight','normal','FontSize',10);
                 
        % -----Grafick objekty axes--------------------------------------                 
        %zobrazen snmanho obrazu_lev horn
        a1=axes; 
        set(a1,'Visible','off','Units','normalized','Position',[0.22 0.5 0.3 0.35],'Tag','axes1');
        
        %zobrazen (animace) soubrou projekc_prav horn
        a2=axes; 
        set(a2,'Visible','off','Units','normalized','Position',[0.62 0.5 0.3 0.35],'Tag','axes2');
        
        %zobrazen animace polohy obrazu pi akvizici_lev spodn
        a3=axes; 
        set(a3,'Visible','off','Units','normalized','Position',[0.22 0.105 0.3 0.3],'Tag','axes3');

        %prostor pro animaci jednotlivch projekc- prav doln
        a4=axes; 
        set(a4,'Visible','off','Units','normalized','Position',[0.62 0.105 0.3 0.3],'Tag','axes4');
            
        %-----------------------------------------------------         
        %rolovac menu
        h15=uicontrol(f1,'Units','Normalized','Style','Popup',...
                     'Position',[0.35 0.915 0.14 0.046],'Tag','filtry',...
                     'String','nefiltrovana pr.|Ram-Lak|Sheep-Logan|Hamming|Hann|Cosine',...
                     'ForegroundColor','white','HorizontalAlignment','center',...
                     'BackgroundColor',[0.2 0.3 0.68],'FontWeight','bold','FontSize',10,'Visible','on');
                             
        
        save  matlab;
        
    else
        load matlab;
        switch(vstpar)
            case('nacti') 
                nacti(vstpar);
                set(h9,'Visible','on');
            case ('generuj')
                generuj(vstpar);
                set(h10,'Visible','on');
                set(h13,'Visible','on');
                set(h14,'Visible','on');
            case ('filtrace')
                set(h10,'Visible','off')
                vstpar = get(h15,'Value');
                filtrovana(vstpar);
                set(h16,'Visible','on');
                set(h14,'Visible','off');
                set(h13,'Visible','off');
            case('filtry')
                x = get(h15,'Value');
                vstpar = x;
                [H, hh] = filtry(vstpar);
                set(a3,'Visible','on');
                axes(a3); plot(H); colormap(gray);
                set(h11,'Visible','on');
            case('filtry2')
                x = get(h15,'Value');
                vstpar = x;
                [H, hh] = filtry(vstpar);
                set(a4,'Visible','on');
                axes(a4); plot(hh); colormap(gray);
                set(h12,'Visible','on');
        end
    end

